[zeromq-dev] problem building pyzmq

eric eric at ericjbell.com
Sat Nov 13 05:28:02 CET 2010


But why am I having to download cython at all if I am trying to install 
a non-development release?

--eric

On 11/12/2010 08:20 PM, Min RK wrote:
> Your cython is broken if you are seeing that error. How did you install cython?
>
> -MinRK
>
> On Nov 12, 2010, at 20:17, eric<eric at ericjbell.com>  wrote:
>
>> I have a related problem ... I am unable to build pyzmq following the
>> instructions for non-development release. Specifically:
>>
>> I am trying to install a non-development (stable) release as described
>> on http://www.zeromq.org/intro:get-the-software
>>
>> I downloaded the 2.0.10 release for POSIX using the link on this page,
>> which describes the release as "stable".
>>
>> I then followed the instructions to build pyzmq, which are on the same
>> page. When I follow the instructions, I get the following output and error.
>>
>> eric at confidence:~/Desktop/pyzmq$ sudo python setup.py install
>> running install
>> running build
>> running build_py
>> running build_ext
>> error: Cython-generated file 'zmq/core/context.c' not found.
>>                  Cython is required to compile pyzmq from a development
>> branch.
>>                  Please install Cython or download a release package of
>> pyzmq.
>>
>> When I install Cython I get the error reported by Martin.
>>
>> Help?
>>
>> --eric
>>
>> On 11/11/2010 03:36 AM, Martin Sustrik wrote:
>>>
>>> Hi,
>>>
>>> I've tried to compile pyzmq myself and I am getting this error:
>>>
>>> cythoning zmq/core/constants.pyx to zmq/core/constants.c
>>>
>>> Error converting Pyrex file to C:
>>> ------------------------------------------------------------
>>> ...
>>> # Imports
>>> #-----------------------------------------------------------------------------
>>>
>>>
>>> # from libc.stdlib cimport free,malloc
>>> from cpython cimport bool
>>> ^
>>> ------------------------------------------------------------
>>>
>>> /home/sustrik/pyzmq/zmq/core/czmq.pxd:28:0: 'cpython.pxd' not found
>>>
>>> I have cython 0.13 installed. cpython.pxd doesn't appear to be present
>>> on my system.
>>>
>>> Any ideas?
>>>
>>> Martin
>>
>>
>> _______________________________________________
>> zeromq-dev mailing list
>> zeromq-dev at lists.zeromq.org
>> http://lists.zeromq.org/mailman/listinfo/zeromq-dev




More information about the zeromq-dev mailing list